/* Descriptive statistics*/

*do "..\programs\definitions of variables.do"
use hhind_data_f_rev, clear

capture log close 

log using ../logfiles/Tables1&2_treatment.out, text replace


/*Since drinking water sample were only collected from households who filtered, raw_water definition has to be altered to*/
/*include those for whom raw water is missing but drink water is not*/
gen raw_water_rev=raw_water
replace raw_water_rev=drink_water if flagpurify==0


/*TABLE 1: QUALITY OF WATER IN GURGAON AND PURIFICATION BEHAVIOR OF HOUSEHOLDS*/

summ old_cost [aw=invprobweight], detail

tabstat raw_water_rev drink_water [aw=invprobweight], stats(N mean sd) by(treatment)/*Contamination of untreated water and drinking water*/

tabstat flagpurify [aw=invprobweight], stats(N mean sd) by(treatment) /*Who purifies?*/

gen nonpurifiers=1-flagpurify /*Who does not purify*/
tabstat nonpurifiers [aw=invprobweight], stats(N mean sd) by(treatment)

tab purify_type if flagpurify==1, gen(purify_type) /*Details of purification method among purifiers*/
tabstat purify_type1 purify_type2 purify_type3 purify_type4 purify_type5 purify_type6 [aw=invprobweight], stats(N mean sd) by(treatment)

tabstat drink_water if purify_type~=0 [aw=invprobweight], stats(N mean sd) by(treatment) /*Quality of drinking water of purifiers*/

tabstat drink_water if purify_type==0 [aw=invprobweight], stats(N mean sd) by(treatment) /*Quality of drinking water of non-purifiers*/

/*TABLE 2: DEMOGRAPHIC VARIABLES, HEALTH OUTCOMES, AWARENESS VARIABLES*/
/*Awareness variables*/
tabstat maxfedu maxmedu infection_1 water_1 pro_clean_water_4 sanitation_4 water_taken4 [aw=invprobweight], stats(N mean sd) by(treatment)

/*Demograhpic and health variables*/
tabstat sex_head age_head diarrhea no_members [aw=invprobweight], stats(N mean sd) by(treatment)

gen occupation_head_new=occupation_head
replace occupation_head_new=4 if occupation_head==0

tab occupation_head_new, gen(occupation_head)
tabstat occupation_head* [aw=invprobweight], stats(N mean sd) by(treatment)

gen child0t3_new=child0t3>0
tabstat child0t3_new [aw=invprobweight], stats(N mean sd) by(treatment)

#delimit;
/*Wealth variables*/
tabstat refriegerator radio television computer phone washing_machine bicycle _2_wheeler _4_wheeler house_poss 
 land_poss [aw=invprobweight], stats(N mean sd) by(treatment);

tabstat rooms outlet_in_kitchen [aw=invprobweight], stats(N mean sd) by(treatment);

tab surr_of_house, gen(surr_of_house);
tabstat surr_of_house1 surr_of_house2 surr_of_house3 [aw=invprobweight], stats(N mean sd) by(treatment);

log close

